Bug 1274996 - Review Request: nodejs-isstream - Determine if an object is a Stream
Review Request: nodejs-isstream - Determine if an object is a Stream
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jared Smith
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1142948
  Show dependency treegraph
 
Reported: 2015-10-24 14:12 EDT by Piotr Popieluch
Modified: 2015-11-29 23:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-29 14:50:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jsmith.fedora: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Piotr Popieluch 2015-10-24 14:12:41 EDT
Spec URL: https://piotrp.fedorapeople.org/nodejs-isstream.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-isstream-0.1.2-1.fc22.src.rpm
Description: Determine if an object is a Stream
Fedora Account System Username: piotrp
Comment 1 Jared Smith 2015-11-05 15:28:51 EST
At first I didn't understand what you were doing in the %check section, untiL I realized that there were two more files needed for running the tests.

I would do the following:

1) In the header, add the following lines:

# The following two packages are needed for testing only
Source1:        https://github.com/rvagg/isstream/raw/master/readable-stream-1.0.26-4.tgz
Source2:        https://github.com/rvagg/isstream/raw/master/readable-stream-1.1.12-1.tgz


2) In the %setup section, add the following lines:

cp -p %{SOURCE1} .
cp -p %{SOURCE2} .

3) In the globals at the top of the file, re-enable the tests.

I'll do the formal review once you've fixed up the tests.
Comment 2 Piotr Popieluch 2015-11-06 02:36:39 EST
Thanks,

I want to update nodejs-async, but I am running into a gazillion missing/non-updated modules in the depchain and think I pushed out some review request a bit too fast.

anyway,

Instead of downloading the "bundled" readable-stream, as you suggested, I decided to test against the version which is actually packaged in Fedora. It is more useful for Fedora to test if the package works with the version which is in Fedora. I've done this by adding a BR, fixdep it as devdependency and adding two more symlinks, see specfile for details.


Spec URL: https://piotrp.fedorapeople.org/nodejs-isstream.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-isstream-0.1.2-2.fc22.src.rpm
Comment 3 Jared Smith 2015-11-06 11:40:00 EST
I'm not seeing those changes in the spec file.  Are you sure you copied the newer version of the spec file to the link above?
Comment 4 Piotr Popieluch 2015-11-06 15:27:15 EST
Could you please try to force refresh (ctrl-f5)? I've noticed that after updating a file on people my browser first shows the old file from cache.
Comment 5 Jared Smith 2015-11-19 11:17:36 EST
Package is approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 6 files have
     unknown license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-generate-object-property-1.2.0-1.fc24.noarch.rpm
          nodejs-generate-object-property-1.2.0-1.fc24.src.rpm
nodejs-generate-object-property.noarch: W: only-non-binary-in-usr-lib
nodejs-generate-object-property.noarch: W: dangling-symlink /usr/lib/node_modules/generate-object-property/node_modules/is-property /usr/lib/node_modules/is-property
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-generate-object-property.noarch: W: invalid-url URL: https://github.com/mafintosh/generate-object-property <urlopen error [Errno -3] Temporary failure in name resolution>
nodejs-generate-object-property.noarch: W: only-non-binary-in-usr-lib
nodejs-generate-object-property.noarch: W: dangling-symlink /usr/lib/node_modules/generate-object-property/node_modules/is-property /usr/lib/node_modules/is-property
1 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
nodejs-generate-object-property (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(is-property)



Provides
--------
nodejs-generate-object-property:
    nodejs-generate-object-property
    npm(generate-object-property)



Source checksums
----------------
https://registry.npmjs.org/generate-object-property/-/generate-object-property-1.2.0.tgz :
  CHECKSUM(SHA256) this package     : 623c3f9901713bcafa9b50d21ba8117d57062aaebf0f7c28a3984841967a5399
  CHECKSUM(SHA256) upstream package : 623c3f9901713bcafa9b50d21ba8117d57062aaebf0f7c28a3984841967a5399


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1276114
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 6 Jared Smith 2015-11-19 11:18:34 EST
Oops, too many windows open -- the approval was for a different package.  Sorry... I'll get back to this one shortly.
Comment 7 Jared Smith 2015-11-19 12:24:20 EST
Package is approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 7 files have
     unknown license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-isstream-0.1.2-2.fc24.noarch.rpm
          nodejs-isstream-0.1.2-2.fc24.src.rpm
nodejs-isstream.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-isstream.noarch: W: invalid-url URL: https://github.com/rvagg/isstream <urlopen error [Errno -3] Temporary failure in name resolution>
nodejs-isstream.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
nodejs-isstream (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-isstream:
    nodejs-isstream
    npm(isstream)



Source checksums
----------------
https://registry.npmjs.org/isstream/-/isstream-0.1.2.tgz :
  CHECKSUM(SHA256) this package     : 79ae4378a2a3446fb72177b57138c1382565ad75e50baba2909731ebb5c90b44
  CHECKSUM(SHA256) upstream package : 79ae4378a2a3446fb72177b57138c1382565ad75e50baba2909731ebb5c90b44


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1274996
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 8 Piotr Popieluch 2015-11-19 14:04:43 EST
Thank you
Comment 9 Gwyn Ciesla 2015-11-20 09:38:09 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nodejs-isstream
Comment 10 Fedora Update System 2015-11-20 10:39:46 EST
nodejs-isstream-0.1.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2875078d68
Comment 11 Fedora Update System 2015-11-20 10:39:59 EST
nodejs-isstream-0.1.2-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-91b426c214
Comment 12 Fedora Update System 2015-11-21 12:51:00 EST
nodejs-isstream-0.1.2-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nodejs-isstream'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-91b426c214
Comment 13 Fedora Update System 2015-11-22 09:25:34 EST
nodejs-isstream-0.1.2-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nodejs-isstream'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2875078d68
Comment 14 Fedora Update System 2015-11-29 21:19:59 EST
nodejs-isstream-0.1.2-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2015-11-29 23:20:20 EST
nodejs-isstream-0.1.2-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.